
Redmine - Defect #11061

Cannot choose commit versions to view differences in Git/Mercurial repository view 

2012-05-30 20:02 - Allanon C.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.0.3   

Resolution: Fixed Affected version: 2.0.1

Description

Unable to choose revision# (commits) to view differences in the Repository view when Using Git repository. The radio buttons do not

respond to the mouse click or keyboard.

However, if drills down to sub directory of the source file in the repository, it allows us to choose revision# to view differences.

Associated revisions

Revision 9832 - 2012-06-14 22:57 - Etienne Massip

Added a min-width to revision graph holder style to fix its rendering in Chrome (#11061).

History

#1 - 2012-05-30 20:12 - Jean-Philippe Lang

Could you post a screenshot please?

#2 - 2012-05-30 21:26 - Allanon C.

- File Capture1.jpg added

Here is the screenshot. I cannot click the radio buttons (as indicated by the red arrow) to choose which commits to view the differences. Thanks.

#3 - 2012-05-30 23:15 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

With Alternate theme.

#4 - 2012-05-30 23:22 - Etienne Massip

Has to do with the SVG chart, odd issue.

Triggers with Chrome 19 only for me, neither with IE 9 nor FF 11.

Edit: nor FF 12.

#5 - 2012-05-30 23:35 - Toshi MARUYAMA

- Subject changed from Cannot choose commit versions to view differences in Git repository view  to Cannot choose commit versions to view

differences in Git/Mercurial repository view 

#6 - 2012-06-06 00:19 - Etienne Massip

Looks like a WebKit rendering issue; could you please try to replace

div.revision-graph { position: absolute;  }

 with

div.revision-graph { position: absolute; width: 1px; }

 at the top of your public/stylesheets/scm.css?

It seems to solve the issue on my side.
#7 - 2012-06-13 22:49 - Daniel Nelson

I can confirm that adding the "width: 1px;" line to scm.css fixes the problem in Chrome.

#8 - 2012-06-14 23:10 - Etienne Massip

- Status changed from Confirmed to Resolved

- Target version changed from Candidate for next minor release to 2.0.3

- Resolution set to Fixed

Fixed with r9832, merged with r9833 and r9834.

#9 - 2012-06-17 10:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed
